<?php
function shop_update () {
	global $wpdb;
	$id = $_GET["id"];
	if(isset($_POST['name'])) {$name = $_POST['name'];} else {$name = '';}
	if(isset($_POST['postal'])) {$postal = $_POST['postal'];} else {$postal = '';}
	if(isset($_POST['address'])) {$address = $_POST['address'];} else {$address = '';}
	if(isset($_POST['tel'])) {$tel = $_POST['tel'];} else {$tel = '';}

	//update
	if(isset($_POST['update'])) {
		$wpdb->update(
			'tours', //table
			array('name' => $name, 'postal' => $postal, 'address' => $address, 'tel' => $tel, 'modified' => date('Y-m-d H:i:s')), //data
			array('ID' => $id ), //where
			array('%s', '%s', '%s', '%s', '%s'), //data format
			array('%s') //where format
		);
	}
	//delete
	else if(isset($_POST['delete'])) {
		$wpdb->query($wpdb->prepare("DELETE FROM tours WHERE id = %s",$id));
	}
	else{//selecting value to update
		$tours = $wpdb->get_results($wpdb->prepare('SELECT id, name, postal, address, tel, modified from tours where id = %s', $id));
		foreach ($tours as $s) {
			$name = $s->name;
			$postal = $s->postal;
			$address = $s->address;
			$tel = $s->tel;
			$modified = $s->modified;
		}
	}
?>
<link type="text/css" href="<?php echo WP_PLUGIN_URL; ?>/tour-lists/css/style-admin.css" rel="stylesheet" />
<h2>会場編集</h2>
<?php if(isset($_POST['delete'])) { ?>
<div class="updated"><p>削除しました。</p></div>
<a href="<?php echo admin_url('admin.php?page=tour-lists/init.php')?>">&laquo; 会場一覧に戻る</a>

<?php } else if(isset($_POST['update'])) { ?>
<div class="updated"><p>更新しました。</p></div>
<a href="<?php echo admin_url('admin.php?page=tour-lists/init.php')?>">&laquo; 会場一覧に戻る</a>

<?php } else { ?>
<form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
<table>
<tr><th>会場名</th><td><input type="text" name="name" value="<?php echo $name;?>"/></td></tr>
<tr><th>郵便番号</th><td><input type="text" name="postal" value="<?php echo $postal;?>"/></td></tr>
<tr><th>住所</th><td><input type="text" name="address" value="<?php echo $address;?>"/></td></tr>
<tr><th>電話番号</th><td><input type="text" name="tel" value="<?php echo $tel;?>"/></td></tr>
</table>
<input type='submit' name="update" value='更新' class='button'> &nbsp;&nbsp;
<input type='submit' name="delete" value='削除' class='button' onclick="return confirm('本当に削除してよろしいですか？')">
</form>

<?php
	}
}