<?php
/*
Plugin Name: Tour Lists
Plugin URI: http://google.com
Description: 出張先を登録するプラグイン
Author: SK
Version: 0.1
Author URI: http://google.com
*/

function shop_registration() {

	//this is the main item for the menu
	add_menu_page('会場', //page title
	'会場', //menu title
	'level_8', //capabilities
	__FILE__, //menu slug
	'shop_list', //function
	'dashicons-location-alt',
	26
	);

	//this is a submenu
	add_submenu_page(__FILE__, //parent slug
	'新規追加', //page title
	'新規追加', //menu title
	'level_8', //capability
	'shop_create', //menu slug
	'shop_create'); //function

	//this submenu is HIDDEN, however, we need to add it anyways
	add_submenu_page(null, //parent slug
	'編集', //page title
	'編集', //menu title
	'level_8', //capability
	'shop_update', //menu slug
	'shop_update'); //function
}

add_action('admin_menu','shop_registration');

define('ROOTDIR', plugin_dir_path(__FILE__));
require_once(ROOTDIR . 'shop-list.php');
require_once(ROOTDIR . 'shop-create.php');
require_once(ROOTDIR . 'shop-update.php');

function add_style(){
	// CSS登録 http://[site domain]/wp-content/plugins/csv_up/css/csv-upload.css
//	wp_register_style('style-admin', plugins_url('css/style-admin.css', __FILE__));
//	wp_enqueue_style('style-admin');
}
add_action('admin_init', 'add_style');

// 時間設定
date_default_timezone_set('Asia/Tokyo');
